function bl30mask(flag,nomdubloc)
%
% $Revision: 1.1 $

%	Patrice Brunelle 


if nargin==0
	flag=0;
end

if flag==1 %si
	close
	mskprompt=get_param([nomdubloc,'/data/si'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/si'],'Mask Entries');
        mskdescription=get_param([nomdubloc,'/data/si'],'MaskDescription');
	set_param([nomdubloc,'/data/type'],'Mask Entries','1');

end
if flag==2 %pu
	close
	mskprompt=get_param([nomdubloc,'/data/pu'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/pu'],'Mask Entries');
        mskdescription=get_param([nomdubloc,'/data/pu'],'MaskDescription');
	set_param([nomdubloc,'/data/type'],'Mask Entries','2');

end

if flag~=0
	set_param(nomdubloc,'openfcn','');
	set_param(nomdubloc,'MaskPromptString',mskprompt);
	set_param(nomdubloc,'Mask Entries',mskentries);
	set_param(nomdubloc,'MaskDescription',mskdescription);
	open_system(nomdubloc)
	pere=get_param(nomdubloc,'Parent');
	aya=findstr(pere,'powerlib');
	if ~isempty(aya)
		pause(1)
		set_param(nomdubloc,'openfcn',['powericon(''Asynchronous Machine'',0,'' '');']);
	end
end
if flag==0

	wnd=get(0,'children');
	for i=1:length(wnd);
		if strcmp('Asynchronous machine',get(wnd(i),'tag'));
			figure(wnd(i))
			return
		end
	end

    nomdubloc=gcb;
    close_system(gcb);
    pere=get_param(gcb,'parent');
    p=get_param(pere,'location');
  
a = figure('Color',[.7 .7 .7], ...
	'CreateFcn','', ...
	'Numbertitle','off',...
	'Menubar','none',...
	'Position',[p(1) 800-p(2) 247 96], ...
	'Tag','Asynchronous Machine');
c = uicontrol('Parent',a, ...
	'Position',[5 8 238 72], ...
	'Style','frame', ...
	'Tag','Frame2');
d = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[156 26 31 27], ...
	'String','SI', ...
	'Style','push', ...
	'callback',['powericon(''Asynchronous Machine'',1,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
e = uicontrol('Parent',a, ...
	'Position',[191 26 31 27], ...
	'String','pu', ...
	'Style','push', ...
	'callback',['powericon(''Asynchronous Machine'',2,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
f = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'FontSize',12, ...
	'Position',[45 71 160 16], ...
	'String','Asynchronous Machine', ...
	'Style','text', ...
	'Tag','StaticText1');
g = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'FontSize',12, ...
	'HorizontalAlignment','left', ...
	'Max',5, ...
	'Position',[33 27 119 20], ...
	'String','Parameter units:', ...
	'Style','text', ...
	'Tag','StaticText2');

end
