function s1 = nsdezero(s)
%NSDEZERO removes  any null characters from the string S.
%	S1 = NSDEZERO(S)
%  	A null character is one that has an absolute value of 0.

%   Christian Dufour 11-22-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

% nsdezero enleve les caracteres 0 de la chaine de caracteres S    

s1=s;

% remove any null characters (null character ==> abs(s) == 0)
s1(find(abs(s)==0)) = [];

