function retvar=nsparm(v_k,individu)

%   Patrice Brunelle 19-nov-1996, 6-feb-1997
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

pere=get_param(individu,'Parent');
i=findstr(individu,'/');
systeme=individu(1:i(1)-1);
if strcmp(pere,systeme)				 % bloc au premier niveau:

	k_i=nstran(v_k);
	for i=1:size(k_i,1)
		evalue=deblank(k_i(i,:));
		evalue=strrep(evalue,'[','');
		evalue=strrep(evalue,']','');
		if strcmp(evalue,'on')|strcmp(evalue,'off')
		   evalue=strrep(evalue,'off','0'); % Synchronous machine
		   evalue=strrep(evalue,'on','1');  % Synchronous machine
		end
		if strcmp(evalue,'Inf')|strcmp(evalue,'inf')
		   evalue=strrep(evalue,'Inf','666e-66'); 
		   evalue=strrep(evalue,'inf','666e-66');
		end
		evalue=[',' evalue ','];
		evalue=strrep(evalue,' ',',');
		evalue=strrep(evalue,',inf,',' 666e-66 '); 
		evalue=strrep(evalue,',Inf,',' 666e-66 ');
		evalue=strrep(evalue,',',' ');		

		if all(evalue==32),evalue='0';end

		% cas particulier:
		rolo=str2num(evalue);
		ww=size(rolo,1);
		if ww>1
			valeur=rolo;
		else
			evalue=[ '[0,' evalue ']' ];
			valeur=nsws2fcn(evalue);
			j=find(valeur==666e-66); % special si Inf:
			if ~isempty(j)
				valeur(j)=Inf;
			end
		end
		retvar{i,1}=valeur;


	end
else  		% bloc dans sous-systeme:

	m1=get_param(pere,'MaskVariables');
	while isempty(m1)
		lstpere=pere;
		pere=get_param(pere,'Parent');
		if strcmp(pere,systeme)   %le bloc est en fait au premier niveau
			retvar=nsparm(v_k,lstpere);
			return
		end
		m1=get_param(pere,'MaskVariables');
	end
	m2=get_param(pere,'MaskInitialization');
	m3=get_param(pere,'Mask Entries');
	retvarinterne=nsparm(m3,pere);
	% faire l'association retvarinterne<->m1
	i=findstr(m1,'@');
	for j=1:length(i)
		m1=strrep(m1,['@',num2str(j)],['retvarinterne{',num2str(j),'}']);
	end
	eval(m1);
	eval(m2);
	k_i=nstran(v_k);
	for i=1:size(k_i,1)
		evalue=k_i(i,:);
		ligne=eval(evalue);
		retvar{i,1}=ligne;
	end
end
