function blkStruct = slblocks
%SLBLOCKS Defines the Simulink library block representation
%   for the Power System Blockset.

%   Author: Paul Barnard
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $  $Date: 1997/10/01 15:42:38 $

blkStruct.Name    = ['Power System' sprintf('\n') 'Blockset'];
blkStruct.OpenFcn = 'powerlib';

blkStruct.MaskDisplay = ['plot(0,0,100,100,' ...
      '[90,64,77,77,60,56,51,46,40,34,30,25,13],' ...
      '[57,57,57,80,80,65,94,65,94,65,94,80,80],' ...
      '[90,87,82,77,74,68,64],[43,46,48,48,48,46,43],' ...
      '[48,77,77],[20,20,48],[39,27,13],[36,20,20]);'];

% End of slblocks.m
