%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

if exist('psbfilter.mat')==0
	[A,B,C,D]=power2sys('psbfilter');
else
	load psbfilter;
end
freq=1:1000; w=2*pi*freq;
[mag,phase]=bode(A,B,C,D,1,w);
subplot(211);
plot(freq,mag(:,2));
title('Impedance seen from bus bar');
ylabel('Z (Ohms)');
subplot(212);
plot(freq,phase(:,2));
ylabel('Phase (degres)');
xlabel('Frequency (Hz)');
figure(gcf);


