function tbxStruct=Demos
% DEMOS Demo list for the Power System Blockset

%   Author: Paul Barnard
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $ $Date: 1997/10/01 15:42:32 $

if nargout == 0, demo blockset; return; end

tbxStruct.Name = 'Power System Blockset';
tbxStruct.Type = 'Blockset';

tbxStruct.Help = { ...      
      'The Power System Blockset provides the ability to    '
      'model and simulate electrical circuits and power     '
   	'systems within Simulink.                             '
      '                                                     '
      '                                                     '};

tbxStruct.DemoList = {...
    'Power System Blockset Library', 'powerlib',   'SIMULINK',
    'Linear Filter',                 'psbfilter',  'SIMULINK'};
