function bl25mask(flag,nomdubloc)
%
% $Revision: 1.1 $

%	Patrice Brunelle 


if nargin==0
	flag=0;
end

if flag==1 %si
	close
	mskprompt=get_param([nomdubloc,'/data/si'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/si'],'Mask Entries');
        mskdescription=get_param([nomdubloc,'/data/si'],'MaskDescription');
	mskstyle=get_param([nomdubloc,'/data/si'],'MaskStyleString');
	set_param([nomdubloc,'/data/type'],'Mask Entries','1');
end
if flag==2 %pu
	close
	mskprompt=get_param([nomdubloc,'/data/pu'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/pu'],'Mask Entries');
        mskdescription=get_param([nomdubloc,'/data/pu'],'MaskDescription');
	mskstyle=get_param([nomdubloc,'/data/pu'],'MaskStyleString');
	set_param([nomdubloc,'/data/type'],'Mask Entries','2');
end
if flag==3 %st
	close
	mskprompt=get_param([nomdubloc,'/data/st'],'MaskPromptString');
	mskentries=get_param([nomdubloc,'/data/st'],'Mask Entries');
        mskdescription=get_param([nomdubloc,'/data/st'],'MaskDescription');
	mskstyle=get_param([nomdubloc,'/data/st'],'MaskStyleString');
	set_param([nomdubloc,'/data/type'],'Mask Entries','3');
end
if flag~=0
	set_param(nomdubloc,'openfcn','');
	set_param(nomdubloc,'MaskPromptString',mskprompt);
	set_param(nomdubloc,'Mask Entries',mskentries);
	set_param(nomdubloc,'MaskDescription',mskdescription);
	set_param(nomdubloc,'MaskStyleString',mskstyle);
	open_system(nomdubloc)
	pere=get_param(nomdubloc,'Parent');
	aya=findstr(pere,'powerlib');
	if ~isempty(aya)
		pause(1)
		set_param(nomdubloc,'openfcn',['powericon(''Synchronous Machine'',0,'' '');']);
	end
end
if flag==0

	wnd=get(0,'children');
	for i=1:length(wnd);
		if strcmp('Synchronous machine',get(wnd(i),'tag'));
			figure(wnd(i))
			return
		end
	end

    nomdubloc=gcb;
    close_system(gcb);
    pere=get_param(gcb,'parent');
    p=get_param(pere,'location');
  
a = figure('Color',[.7 .7 .7], ...
	'CreateFcn','', ...
	'Numbertitle','off',...
	'Menubar','none',...
	'Position',[p(1) 800-p(2) 358 117], ...
	'Tag','Synchronous machine');
c = uicontrol('Parent',a, ...
	'Position',[8 6 340 102], ...
	'Style','frame', ...
	'Tag','Frame2');
d = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[25 24 99 27], ...
	'String','Fundamental (SI)', ...
	'Style','push', ...
	'callback',['powericon(''Synchronous Machine'',1,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
e = uicontrol('Parent',a, ...
	'Position',[129 24 98 27], ...
	'String','Fundamental (pu)', ...
	'Style','push', ...
	'callback',['powericon(''Synchronous Machine'',2,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
h = uicontrol('Parent',a, ...
	'Position',[233 24 98 27], ...
	'String','Standard (pu)', ...
	'Style','push', ...
	'callback',['powericon(''Synchronous Machine'',3,''' nomdubloc ''')'],...
	'Tag','Radiobutton1');
f = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'FontSize',12, ...
	'Position',[101 99 160 16], ...
	'String','Synchronous Machine', ...
	'Style','text', ...
	'Tag','StaticText1');
g = uicontrol('Parent',a, ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'FontSize',12, ...
	'HorizontalAlignment','left', ...
	'Max',5, ...
	'Position',[27 59 110 20], ...
	'String','Parameter units:', ...
	'Style','text', ...
	'Tag','StaticText2');

end
