function data_out=loadsavedata(system,keyword,data_in)

%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

switch keyword

case 'save'

  fig = findobj(allchild(0),'Type','figure','Tag',['PowerSystemBlocksetFile: ',system]);
  if isempty(fig)
     % store data in the userdata of an hidden figure.
     fig = figure('Visible','off', ...
      'HandleVisibility','off', ...
      'IntegerHandle','off', ...
      'Tag',['PowerSystemBlocksetFile: ',system], ...
      'UserData',data_in);
   
  else
     set(fig,'UserData',data_in);
  end
  data_out=0;

case 'load'

  fig = findobj(allchild(0),'Type','figure','Tag',['PowerSystemBlocksetFile: ',system]);
  if isempty(fig)
	data_out=[];
  else
	data_out=get(fig,'UserData');
  end

end
