function c=nslines(sys);

%   Patrice Brunelle 08-22-96,19-Aug-97
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.3 $

a=get_param(sys,'lines');
%decomposition des branches eventuelles:
i=1;
while i<=length(a)
	if isempty(a(i).DstBlock)
		srcblk=a(i).SrcBlock;
		srcprt=str2num(a(i).SrcPort);
		br=a(i).Branch;
		a(i)=[]; % devient inutile
		for ii=1:length(br)
			br(ii).SrcBlock=srcblk;
			br(ii).SrcPort=num2str(srcprt);
		end
		a=[a;br];
	else
		i=i+1;
	end
end

% ajout protection (-1) Src Block = -1 Dst block = -1: date 19 aout 97
atmp=a;
for i=1:length(a);
	if a(i).SrcBlock==-1&a(i).DstBlock==-1
		atmp(i)=[];
	end
	if a(i).SrcBlock==-1
		atmp(i).SrcPort='0';
	end
	if a(i).DstBlock==-1
		atmp(i).DstPort='0';
	end
end
a=atmp;

b=length(a);
for i=1:b
	c(i,1)=a(i).SrcBlock;
	c(i,2)=str2num(a(i).SrcPort);
	c(i,3)=a(i).DstBlock;
	interm=a(i).DstPort;
	if strcmp(interm,'enable'),interm='2';end
	c(i,4)=str2num(interm);
	% eliminer lignes nulles:
	if c(i,1:2)==c(i,3:4)
		c(i,:)=[];
	end
end

%numerotation selon les blocs (prevenir les lignes non-connectees) :
ds=size(c,1);
marker(ds+1:2*ds)=ones(1,ds);
marker(3*ds+1:4*ds)=ones(1,ds);
t=get_param(sys,'Blocks');
for j=1:length(t)
	na=t{j};
	u=get_param([sys,'/',na],'Handle');
	f=find(c==u);
	marker(f)=ones(1,length(f));
	c(f)=j*ones(length(f),1);
end
c(1:size(c,1),5)=zeros(size(c,1),1);
blftm=find(marker==0);
c(blftm)=0*ones(length(blftm),1);

% bouts de lignes non-connectes:

blftm=find(marker(ds+1:4*ds)==0);
[i,j]=ind2sub(size(c),blftm);
c(i,:)=[];


 
