function[flag]=nsslash(blocs)
%NSSLASH Look for '/' caracters in simulink's block names.
% 	Note: Internal netsim function. 
%	May not work properly when used elsewhere.
%
%	[FLAG]=NSSLASH(BLOCS) 
% 	input arguments:
%		BLOCS: (string matrix) block names
% 	output arguments:
%		FLAG: (integer)
% 	NSSLASH sets FLAG if '/' caracter is found in BLOCS 

%   Christian Dufour 11-22-95
%   Copyright (c) 1997 by TEQSIM Inc. and The MathWorks, Inc.
%   under sublicense from Hydro-Quebec.
%   $Revision: 1.2 $

%^& nsslash sort flag==1 si blocs contient '/'    
 
flag=0;
for i=1:size(blocs,1)
	if ~isempty( findstr(blocs(i,:),'/') )
 		flag=1;
		break;
	end
end

